Netbeans 5.5 And Problems with Vista

By | March 22, 2007

You might have noticed by my previous posts that I’m dry running some applications under Windows Vista. Well I found out a couple of days ago that Netbeans is one of those programs that just won’t work right. It will compile and run. But you can’t edit to much text.

I’ll try and explain why. When you start up Netbeans everything looks great. Wahoo!!

But as soon as you start working you’ll start scrolling through the code or the files. And this is were the problem starts. As soon as you start scrolling all the text becomes blurred. Even worse unreadable. It could be that this is because of Java, but I doubt it.

This is the one program that prevents me from moving to Vista completely. As I need it at work to develop. I do hope they fix it in version 6.

7 thoughts on “Netbeans 5.5 And Problems with Vista

  1. Max Sauer

    Hi,
    I’ve tried to reproduce your problem without success — using JDK’s 1.5.0_11 and 1.6.0 b105, NetBeans 5.5FCS, Windows Vista with ‘AeroGlass’ enabled, and various anti-aliasing settings.
    Could you please be more descriptive about your problem? Have you tried other java programs? Does it affect only text inside editor tabs or whole IDE? What is your JDK and HW specifications? Thank you for your help, we’re looking forward to your input. -Max

    Reply
  2. Jongerius Post author

    Hi Max,

    Didn’t know that the Netbeans developers kept track of blogs this much. Thank you for your reply. I hope the following will help you a bit with tracking it down.

    When I start netbeans the Aero interface automatically disables. Windows keeps reporting that Netbeans / Java does not support it.

    The blurred text only appears in the editor window and in the window with the files that are in the project. Menu’s don’t seem to be affected.

    I’m working with the following system:

    Java 1.5.0-b64
    NetBeans 5.5 Build 200610171010
    Vista Ultimate
    Asus W6 notebook with Intel Duo Core T2400
    Mobile Intel(R) 945GM Express Chipset Family
    1280 by 1024 True Color (60 Hz)
    1 external screen enabled

    Reply
  3. Dmitri Trembovetski

    Yes, 1.5.0 is not supported on Vista.

    The issues you mentioned were addressed in later releases (starting with 5.0u8, and in Java 6).

    I would really recommend using Java 6 on Vista, as there were lots of Vista-specific fixes (more so than on 5.0 update releases), besides tons of other improvements.

    Thanks,
    Dmtiri
    Java2D Team

    Reply
  4. Tim

    What you’re running into is a JDK issue. Get the latest JDK 6 and it should work fine (and also be faster :-))

    Reply
  5. razi

    I face a problem in Vista that I cannot uninstall Netbeans it says not enough permission to write to local directory, although I login as administrator into my system.
    Please provide me a solution.

    Reply
  6. Jongerius Post author

    In Vista by default the administrator does not have proper permission to uninstall applications. If I’m not mistaken there is an option to run a program as administrator (even for the administrator).

    This should raise your permissions so that you can uninstall Netbeans.

    Reply

Leave a Reply